import type { RequestInstrumentationOptions as RequestInstrumentationOptionsT, SpanStatusType as SpanStatusTypeT } from '@sentry-internal/tracing';
import { addExtensionMethods as addExtensionMethodsT, Apollo, BrowserTracing as BrowserTracingT, Express, extractTraceparentData as extractTraceparentDataT, getActiveTransaction as getActiveTransactionT, GraphQL, hasTracingEnabled as hasTracingEnabledT, IdleTransaction as IdleTransactionT, instrumentOutgoingRequests as instrumentOutgoingRequestsT, Mongo, Mysql, Postgres, Prisma, Span as SpanT, SpanStatus as SpanStatusT, spanStatusfromHttpCode as spanStatusfromHttpCodeT, startIdleTransaction as startIdleTransactionT, stripUrlQueryAndFragment as stripUrlQueryAndFragmentT, Transaction as TransactionT } from '@sentry-internal/tracing';
/**
 * @deprecated `@sentry/tracing` has been deprecated and will be moved to to `@sentry/node`, `@sentry/browser`, or your framework SDK in the next major version.
 * `BrowserTracing` can be imported from `@sentry/browser` or your framework SDK
 *
 * import { BrowserTracing } from '@sentry/browser';
 * new BrowserTracing()
 */
export declare const BrowserTracing: typeof BrowserTracingT;
/**
 * @deprecated `@sentry/tracing` has been deprecated and will be moved to to `@sentry/node`, `@sentry/browser`, or your framework SDK in the next major version.
 * `BrowserTracing` can be imported from `@sentry/browser` or your framework SDK
 *
 * import { BrowserTracing } from '@sentry/browser';
 * new BrowserTracing()
 */
export declare type BrowserTracing = BrowserTracingT;
/**
 * @deprecated `@sentry/tracing` has been deprecated and will be moved to to `@sentry/node`, `@sentry/browser`, or your framework SDK in the next major version.
 */
export declare const addExtensionMethods: typeof addExtensionMethodsT;
/**
 * @deprecated `@sentry/tracing` has been deprecated and will be moved to to `@sentry/node`, `@sentry/browser`, or your framework SDK in the next major version.
 *
 * `getActiveTransaction` can be imported from `@sentry/node`, `@sentry/browser`, or your framework SDK
 */
export declare const getActiveTransaction: typeof getActiveTransactionT;
/**
 * @deprecated `@sentry/tracing` has been deprecated and will be moved to to `@sentry/node`, `@sentry/browser`, or your framework SDK in the next major version.
 *
 * `extractTraceparentData` can be imported from `@sentry/node`, `@sentry/browser`, or your framework SDK
 */
export declare const extractTraceparentData: typeof extractTraceparentDataT;
/**
 * @deprecated `@sentry/tracing` has been deprecated and will be moved to to `@sentry/node`, `@sentry/browser`, or your framework SDK in the next major version.
 *
 * `spanStatusfromHttpCode` can be imported from `@sentry/node`, `@sentry/browser`, or your framework SDK
 */
export declare const spanStatusfromHttpCode: typeof spanStatusfromHttpCodeT;
/**
 * @deprecated `@sentry/tracing` has been deprecated and will be moved to to `@sentry/node`, `@sentry/browser`, or your framework SDK in the next major version.
 *
 * `SpanStatusType` can be imported from `@sentry/node`, `@sentry/browser`, or your framework SDK
 */
export declare type SpanStatusType = SpanStatusTypeT;
/**
 * @deprecated `@sentry/tracing` has been deprecated and will be moved to to `@sentry/node`, `@sentry/browser`, or your framework SDK in the next major version.
 *
 * `Transaction` can be imported from `@sentry/node`, `@sentry/browser`, or your framework SDK
 */
export declare const Transaction: typeof TransactionT;
/**
 * @deprecated `@sentry/tracing` has been deprecated and will be moved to to `@sentry/node`, `@sentry/browser`, or your framework SDK in the next major version.
 *
 * `Transaction` can be imported from `@sentry/node`, `@sentry/browser`, or your framework SDK
 */
export declare type Transaction = TransactionT;
/**
 * @deprecated `@sentry/tracing` has been deprecated and will be moved to to `@sentry/node`, `@sentry/browser`, or your framework SDK in the next major version.
 *
 * `Span` can be imported from `@sentry/node`, `@sentry/browser`, or your framework SDK
 */
export declare const Span: typeof SpanT;
/**
 * @deprecated `@sentry/tracing` has been deprecated and will be moved to to `@sentry/node`, `@sentry/browser`, or your framework SDK in the next major version.
 *
 * `Span` can be imported from `@sentry/node`, `@sentry/browser`, or your framework SDK
 */
export declare type Span = SpanT;
/**
 * @deprecated `@sentry/tracing` has been deprecated and will be moved to to `@sentry/node`, `@sentry/browser`, or your framework SDK in the next major version.
 */
export declare const BROWSER_TRACING_INTEGRATION_ID = "BrowserTracing";
/**
 * @deprecated `@sentry/tracing` has been deprecated and will be moved to to `@sentry/node`, `@sentry/browser`, or your framework SDK in the next major version.
 *
 * `defaultRequestInstrumentationOptions` can be imported from `@sentry/browser`, or your framework SDK
 */
export declare const defaultRequestInstrumentationOptions: RequestInstrumentationOptionsT;
/**
 * @deprecated `@sentry/tracing` has been deprecated and will be moved to to `@sentry/node`, `@sentry/browser`, or your framework SDK in the next major version.
 *
 * `hasTracingEnabled` can be imported from `@sentry/utils`
 */
export declare const hasTracingEnabled: typeof hasTracingEnabledT;
/**
 * @deprecated `@sentry/tracing` has been deprecated and will be moved to to `@sentry/node`, `@sentry/browser`, or your framework SDK in the next major version.
 *
 * `stripUrlQueryAndFragment` can be imported from `@sentry/utils`
 */
export declare const stripUrlQueryAndFragment: typeof stripUrlQueryAndFragmentT;
/**
 * @deprecated `@sentry/tracing` has been deprecated and will be moved to to `@sentry/node`, `@sentry/browser`, or your framework SDK in the next major version.
 *
 * `TRACEPARENT_REGEXP` can be imported from `@sentry/utils`
 */
export declare const TRACEPARENT_REGEXP: RegExp;
/**
 * @deprecated `@sentry/tracing` has been deprecated and will be moved to to `@sentry/node`, `@sentry/browser`, or your framework SDK in the next major version.
 */
export declare const IdleTransaction: typeof IdleTransactionT;
/**
 * @deprecated `@sentry/tracing` has been deprecated and will be moved to to `@sentry/node`, `@sentry/browser`, or your framework SDK in the next major version.
 */
export declare type IdleTransaction = IdleTransactionT;
/**
 * @deprecated `@sentry/tracing` has been deprecated and will be moved to to `@sentry/node`, `@sentry/browser`, or your framework SDK in the next major version.
 */
export declare const instrumentOutgoingRequests: typeof instrumentOutgoingRequestsT;
/**
 * @deprecated `@sentry/tracing` has been deprecated and will be moved to to `@sentry/node`, `@sentry/browser`, or your framework SDK in the next major version.
 */
export declare const startIdleTransaction: typeof startIdleTransactionT;
/**
 * @deprecated `@sentry/tracing` has been deprecated and will be moved to to `@sentry/node`, `@sentry/browser`, or your framework SDK in the next major version.
 */
export declare const SpanStatus: typeof SpanStatusT;
/**
 * @deprecated `@sentry/tracing` has been deprecated and will be moved to to `@sentry/node`, `@sentry/browser`, or your framework SDK in the next major version.
 */
export declare type SpanStatus = SpanStatusT;
/**
 * @deprecated `@sentry/tracing` has been deprecated and will be moved to to `@sentry/node`, `@sentry/browser`, or your framework SDK in the next major version.
 */
export declare type RequestInstrumentationOptions = RequestInstrumentationOptionsT;
export declare const Integrations: {
    /**
     * @deprecated `@sentry/tracing` has been deprecated and will be moved to to `@sentry/node`, `@sentry/browser`, or your framework SDK in the next major version.
     * `BrowserTracing` can be imported from `@sentry/browser` or your framework SDK
     *
     * import { BrowserTracing } from '@sentry/browser';
     * new BrowserTracing()
     */
    BrowserTracing: typeof BrowserTracingT;
    /**
     * @deprecated `@sentry/tracing` has been deprecated and will be moved to to `@sentry/node`, `@sentry/browser`, or your framework SDK in the next major version.
     * `Apollo` can be imported from `@sentry/node`
     *
     * import { Integrations } from '@sentry/node';
     * new Integrations.Apollo({ ... })
     */
    Apollo: typeof Apollo;
    /**
     * @deprecated `@sentry/tracing` has been deprecated and will be moved to to `@sentry/node`, `@sentry/browser`, or your framework SDK in the next major version.
     * `Express` can be imported from `@sentry/node`
     *
     * import { Integrations } from '@sentry/node';
     * new Integrations.Express({ ... })
     */
    Express: typeof Express;
    /**
     * @deprecated `@sentry/tracing` has been deprecated and will be moved to to `@sentry/node`, `@sentry/browser`, or your framework SDK in the next major version.
     * `GraphQL` can be imported from `@sentry/node`
     *
     * import { Integrations } from '@sentry/node';
     * new Integrations.GraphQL({ ... })
     */
    GraphQL: typeof GraphQL;
    /**
     * @deprecated `@sentry/tracing` has been deprecated and will be moved to to `@sentry/node`, `@sentry/browser`, or your framework SDK in the next major version.
     * `Mongo` can be imported from `@sentry/node`
     *
     * import { Integrations } from '@sentry/node';
     * new Integrations.Mongo({ ... })
     */
    Mongo: typeof Mongo;
    /**
     * @deprecated `@sentry/tracing` has been deprecated and will be moved to to `@sentry/node`, `@sentry/browser`, or your framework SDK in the next major version.
     * `Mysql` can be imported from `@sentry/node`
     *
     * import { Integrations } from '@sentry/node';
     * new Integrations.Mysql({ ... })
     */
    Mysql: typeof Mysql;
    /**
     * @deprecated `@sentry/tracing` has been deprecated and will be moved to to `@sentry/node`, `@sentry/browser`, or your framework SDK in the next major version.
     * `Postgres` can be imported from `@sentry/node`
     *
     * import { Integrations } from '@sentry/node';
     * new Integrations.Postgres({ ... })
     */
    Postgres: typeof Postgres;
    /**
     * @deprecated `@sentry/tracing` has been deprecated and will be moved to to `@sentry/node`, `@sentry/browser`, or your framework SDK in the next major version.
     * `Prisma` can be imported from `@sentry/node`
     *
     * import { Integrations } from '@sentry/node';
     * new Integrations.Prisma({ ... })
     */
    Prisma: typeof Prisma;
};
//# sourceMappingURL=index.d.ts.map